import axios from 'axios';
import config from '@api/config.js';

const urls = config.urls;
const groupParams = config.groupParams;
export default {
    getIcssEnumsData(){
        return axios.post(urls.getIcssEnumsData)
    },
    getDropList() {
        return axios.post(urls.getDropList)
    },
    getknowledgeList() {
        return axios.post(urls.getknowledgeList)
    },
    getPromptList(param){
      return axios.post(urls.getPromptList,param)
    },
    addPromptInfo(param){
        return axios.post(urls.addPromptInfo,param)
    },
    delPromptInfo(param){
        return axios.post(urls.delPromptInfo,param)
    },
    PromptInfoDetail(param){
        return axios.post(urls.PromptInfoDetail,param)
    },
    getPrompDetail(param){
      return axios.post(urls.PromptInfoDetail,param);
    },
    getAllType(){
      return axios.post(urls.allKnowledgeType,{size:10});
    },
    getTremList(param){
      return axios.post(urls.getConceptKnowledge,param);
    },
    getConceptInfo(param){
      return axios.post(urls.getConceptInfo,param);
    },
    getConceptKnowledgeList(param){
      return axios.post(urls.getConceptKnowledgeList,param);
    },
    saveConceptInfo(param){
      return axios.post(urls.saveConceptInfo,param);
    },
    delConceptInfo(param){
      return axios.post(urls.delConceptInfo,param);
    },
    saveTermPrompts(param){
      return axios.post(urls.saveConceptInfo,param);
    },
    getTagList(param) {
        return axios.post(urls.getTagList, param)
    },
    searchTagList(param) {
        return axios.post(urls.searchTagList, param)
    },
    searchKnowledgeLis(param) {
        return axios.post(urls.searchKnowledgeLis, param)
    },
    validateSystomName(param) {
        return axios.post(urls.searchTagList, param)
    },
    detailsTagList(param) {
        return axios.post(urls.detailsTagList, param)
    },
    detailsTag(param) {   //根据id返回数据
      return axios.post(urls.detailsTag, param)
    },
    rebuildOrUpdate(param) {   //根据id返回量表数据
      return axios.post(urls.rebuildOrUpdate, param)
    },
    getDeptInfo(param) {//科室维护
        return axios.post(urls.getDeptInfo, param)
    },
    getDeptInfoDetials(param) {//科室维护-详情
        return axios.post(urls.getDeptInfoDetials, param)
    },
    deleteDeptInfo(param) {//科室维护-删除
        return axios.post(urls.deleteDeptInfo, param)
    },
    addDeptInfo(param) {//科室维护-添加   
        return axios.post(urls.addDeptInfo, param)
    },
    modifDeptInfo(param) {//科室维护-修改
        return axios.post(urls.modifDeptInfo, param)
    },
    saveOrUpdate(param) {
        return axios.post(urls.saveOrUpdate, param);
    },
    savePrompts(param){
      return axios.post(urls.addPromptInfo, param);
    },
    deleteTagGroup(param) {
        return axios.post(urls.deleteTagGroup, param)
    },
    indexByLexicon(param) {
        return axios.post(urls.indexByLexicon, param)
    },
    indexByLexiconStandWord(param) {
        return axios.post(urls.indexByLexiconStandWord, param)
    },
    getGroupParams(val){
      if(val == 2){
        return groupParams[0]
      }else if(val == 3){
        return groupParams[1]
      }else if(val == 4){
        return groupParams[2]
      }else if(val == 6){
        return groupParams[3]
      }else if(val == 7){
        return groupParams[4]
      }else if(val == 11){
        return groupParams[5]
      }else {
        return null
      }
    },
    similarName(param) {//别名维护
        return axios.post(urls.similarName, param)
    },
    delSimilarName(param) {//别名维护-删除
        return axios.post(urls.delSimilarName, param)
    },
    similarNameDetl(param) {//别名维护-详情
        return axios.post(urls.similarNameDetl, param)
    },
    addSimilarName(param) {//别名维护-添加、修改
        return axios.post(urls.addSimilarName, param)
    },
    searchLable(param) {//别名维护-搜索标签
        return axios.post(urls.searchLable, param)
    },
    uploadFile(param) {//别名维护-导入
        return axios.post(urls.uploadFile, param)
    },
    commonSymptomList(param) {  //常见症状维护-常见症状列表
        return axios.post(urls.commonSymptomList, param)
    },
    getDepartmentList(param) {   //常见症状维护-获取科室列表
        return axios.post(urls.getDepartmentList, param)
    },
    getSymptomList(param) {
        return axios.post(urls.getSymptomList, param)
    },
    addCommonSymptom(param) {
        return axios.post(urls.addCommonSymptom, param)
    },
    getCommonSymptomById(param) {
        return axios.post(urls.getCommonSymptomById, param)
    },
    delCommonSymptom(param) {
        return axios.post(urls.delCommonSymptom, param)
    },
    discInformation(param) {//免责声明
        return axios.post(urls.discInformation, param)
    },
    addDiscInformation(param) {//免责声明-新增
        return axios.post(urls.addDiscInformation, param)
    },
    modifDiscInformation(param) {//免责声明-修改
        return axios.post(urls.modifDiscInformation, param)
    },
    delDiscInformation(param) {//免责声明-删除
        return axios.post(urls.delDiscInformation, param)
    },
    closeInformation(param) {//免责声明-停用
        return axios.post(urls.closeInformation, param)
    },
    openInformation(param) {//免责声明-停用
        return axios.post(urls.openInformation, param)
    },
    updateModuleInfo(param) {//模板维护系统修改
        return axios.post(urls.updateModuleInfo, param)
    },
    saveModuleInfo(param) {//模板维护系统新增
        return axios.post(urls.saveModuleInfo, param)
    },
    getModuleInfoList(param) {//模板维护系统列表
        return axios.post(urls.getModuleInfoList, param)
    },
    getModuleInfoSub(param) {//获取子模板列表
        return axios.post(urls.getModuleInfoSub, param)
    },
    getQuestionInfos(param) {//获取辅检模板维护标签池数据
        return axios.post(urls.getQuestionInfos, param)
    },
    getModuleInfoOne(param) {//模板维护系统修改获取单个模板信息顶部信息
        return axios.post(urls.getModuleInfoOne, param)
    },
    getModuleDetailInfo(param) {//模板维护系统修改获取单个模板信息右侧信息
        return axios.post(urls.getModuleDetailInfo, param)
    },
    delTemplate(param) {//模板维护系统删除单个模板信息
        return axios.post(urls.delTemplate, param)
    },
    getDeptShortListSearh() {  //查体模板--科室下拉
        return axios.post(urls.getDeptShortListSearh)
    },
    getPhysicalExamTempList(param) {
        return axios.post(urls.getPhysicalExamTempList, param)
    },
    getPhysicalExamTempDepartList() {
        return axios.post(urls.getPhysicalExamTempDepartList)
    },
    getPhysicalExamTempByDepId(param) {
        return axios.post(urls.getPhysicalExamTempByDepId, param)
    },
    savePhysicalExamTemp(param) {
        return axios.post(urls.savePhysicalExamTemp, param)
    },
    delPhysicalExamTemp(param) {
        return axios.post(urls.delPhysicalExamTemp, param)
    },
    versionInfo(param) {//版本信息
      return axios.post(urls.versionInfo, param)
    },
    addVersInfo(param) {//版本信息-添加
      return axios.post(urls.addVersInfo, param)
    },
    updateVersInfo(param) {//版本信息-修改
      return axios.post(urls.updateVersInfo, param)
    },
    delVersionInfo(param) {//版本信息-删除说明
      return axios.post(urls.delVersionInfo, param)
    },
    addVersionInfo(param) {//版本信息-添加说明
      return axios.post(urls.addVersionInfo, param)
    },
    modiVersionInfo(param) {//版本信息-修改说明
      return axios.post(urls.modiVersionInfo, param)
    },
    getVersionDetlInfo(param) {//版本信息-版本说明列表
      return axios.post(urls.getVersionDetlInfo, param)
    },
    // 医学术语维护
    knowledgeName(param) {//命名维护
        return axios.post(urls.knowledgeName, param)
    },
    allKnowledgeType(param) {//命名维护-类型列表
        return axios.post(urls.allKnowledgeType, param)
    },
    knowledgeUpload(param) {//命名维护--导入
        return axios.post(urls.knowledgeUpload, param)
    },
    deletMedicalName(param) {//命名维护--删除
        return axios.post(urls.deletMedicalName, param)
    },
    getMedicalDetail(param) {//命名维护--获取详情
        return axios.post(urls.getMedicalDetail, param)
    },
    addMedicalName(param) {//命名维护--新增、修改
        return axios.post(urls.addMedicalName, param)
    },
    getSimilarList(param) { //命名维护--相似词
        return axios.post(urls.getSimilarList, param)
    },
    knowledgeRelation(param) {//关系维护
        return axios.post(urls.knowledgeRelation, param)
    },
    delKnowledgeRelation(param) {//关系维护-删除
        return axios.post(urls.delKnowledgeRelation, param)
    },
    getAllRelationType(param) {//关系维护-术语关系
        return axios.post(urls.getAllRelationType, param)
    },
    addRelationConcept(param) {//关系维护-添加
        return axios.post(urls.addRelationConcept, param)
        // return axios.post('http://192.168.3.101:5050/api/knowledgeman/relation/addRelationInfo', param)
    },
    searchRelationConcept(param) {//关系维护-搜索
        return axios.post(urls.searchRelationConcept, param)
    },
    RelationUpload(param) {//关系维护-导入
        return axios.post(urls.RelationUpload, param)
    },
    getMedicalInfoList(param) { //医学术语--属性维护--属性列表
        return axios.post(urls.getMedicalInfoList, param)
    },
    medicalInfoExcelIm(param) { //医学术语--属性维护--//医学术语--属性维护-术语医学属性excel文件导入
        return axios.post(urls.medicalInfoExcelIm, param)
    },
    getMedicalInfoDetail(param) { //医学术语--属性维护--属性详情
        return axios.post(urls.getMedicalInfoDetail, param)
    },
    addMedicalInfo(param) { //医学术语--属性维护--术语医学属性添加或者编辑
        return axios.post(urls.addMedicalInfo, param)
    },
    removeMedicalInfo(param) { //医学术语--属性维护--术语医学属性删除
        return axios.post(urls.removeMedicalInfo, param)
    },
    getAllLexiconRelationship(param) {   //医学术语--获取所有术语类型
        return axios.post(urls.getAllLexiconRelationship, param)
    },
    getAllConcept(param) {  //医学术语--获取所有概念（标准术语）
        return axios.post(urls.getAllConcept, param)
        // return axios.post('http://192.168.3.101:5050/api/knowledgeman/concept/getAllConcept', param)
    },
    getAllBodypart(param) {
        return axios.post(urls.getAllBodypart, param)
    },

    scaleContentStructure(param) {
        return axios.post(urls.scaleContentStructure, param)
    },
    getAllDeptAndDisInfo(param) { //模板维护-获取科室和疾病所有信息
        return axios.post(urls.getAllDeptAndDisInfo,param)
    },
    queryEvaluationModulePages(param) { 
        return axios.post(urls.queryEvaluationModulePages,param)
    },
    getAllDepts(param) {
        return axios.post(urls.getAllDepts, param)
    },
    getLisMappingPage(param) {  //医学数据-化验大小项与公表项维护-列表
        return axios.post(urls.getLisMappingPage, param)
    },
    saveLisMapping(param) {  //医学数据-化验大小项与公表项维护-新增
        return axios.post(urls.saveLisMapping, param)
    },
    delLisMappingById(param) {  //医学数据-化验大小项与公表项维护-单个删除
        return axios.post(urls.delLisMappingById, param)
    },
    hasLisMapping(param) {  //医学数据-化验大小项与公表项维护-化验公表项映射是否已存在
        return axios.post(urls.hasLisMapping, param)
    },
	getTypeList(param) {//术语类型-列表
        return axios.post(urls.getTypeList, param)
    },
    addType(param) {//术语类型-添加
        return axios.post(urls.addType, param)
    },
    getAllLisConcept(param) {   //医学数据-化验大小项与公表项维护-获取所有化验公表项
        return axios.post(urls.getAllLisConcept, param)
    },
    queryIndexConfigPages(param) {
        return axios.post(urls.queryIndexConfigPages, param)    //医学数据-慢病指标值关联维护-列表
    },
    getIndexConfigLists(param) {
        return axios.post(urls.getIndexConfigLists, param)    //医学数据-慢病指标值关联维护-获取慢病指标值关联
    },
    cancelIndexConfigAlls(param) {
        return axios.post(urls.cancelIndexConfigAlls, param)    //医学数据-慢病指标值关联维护-删除慢病指标值关联
    },
    saveIndexConfigLists(param) {
        return axios.post(urls.saveIndexConfigLists, param)    //医学数据-慢病指标值关联维护-添加关联
    },
    updateIndexConfigList(param) {
        return axios.post(urls.updateIndexConfigList, param)    //医学数据-慢病指标值关联维护-修改关联
    },
    queryIndexConfigDiseaseNames(param) {
        return axios.post(urls.queryIndexConfigDiseaseNames, param)    //医学数据-慢病指标值关联维护-慢病指标疾病标签查询
    },
    getDisScaleAllInfo(param) {
        return axios.post(urls.getDisScaleAllInfo, param)    //医学数据-诊断量表关联维护-列表
    },
    addDisScaleInfo(param) {
        return axios.post(urls.addDisScaleInfo, param)    //医学数据-诊断量表关联维护-添加和修改
    },
    getDisScaleByDisId(param) {
        return axios.post(urls.getDisScaleByDisId, param)    //医学数据-诊断量表关联维护-根据诊断id获取诊断量表关联信息(修改回读用)
    },
    delDisScaleInfo(param) {
        return axios.post(urls.delDisScaleInfo, param)    //医学数据-诊断量表关联维护-删除
    },
    insertOrUpdate(param) {
        return axios.post(urls.insertOrUpdate, param)    //量表结构--添加或更新
    },
    getModuleType(param) {
        return axios.post(urls.getModuleType, param)    //模板维护 -- 类型筛选
    },
    deleteScale(param) {
        return axios.post(urls.deleteScale, param)    //量表结构 -- 删除
    },
    getKnowledgeEnums(){ //医学术语库枚举
        return axios.post(urls.getKnowledgeEnums)
    },
    getAssaySon(param) {
        return axios.post(urls.getAssaySon, param)    //化验子项-列表
    },
    getAssaySonDetail(param) {
        return axios.post(urls.getAssaySonDetail, param)    //化验子项-详情
    },
    getConceptInfoAssay(param) {
        return axios.post(urls.getConceptInfoAssay, param)    //化验子项-搜索术语
    },
    addAssaySon(param) {
        return axios.post(urls.addAssaySon, param)    //化验子项-添加
    },
    delAssaySon(param) {
        return axios.post(urls.delAssaySon, param)    //化验子项-删除/恢复
    },
    getConceptRelation(param) {
        return axios.post(urls.getConceptRelation, param)    //术语关联-列表
    },
    getConceptRelationDet(param) {
        return axios.post(urls.getConceptRelationDet, param)    //术语关联-详情
    },
    addConceptRelation(param) {
        return axios.post(urls.addConceptRelation, param)    //术语关联-添加
    },
    delConceptRelation(param) {
        return axios.post(urls.delConceptRelation, param)    //术语关联-删除/恢复
    },
    multContactList(param) {    //知识库标准化-医学术语多层关联维护-列表
        return axios.post(urls.multContactList, param)
    },
    removeRelationContact(param) {    //知识库标准化-医学术语多层关联维护-删除或者恢复
        return axios.post(urls.removeRelationContact, param)
    },
    relationContactDetail(param) {    //知识库标准化-医学术语多层关联维护-详情
        return axios.post(urls.relationContactDetail, param)
    },
    addMultRelation(param) {    //知识库标准化-医学术语多层关联维护-添加或者编辑
        return axios.post(urls.addMultRelation, param)
    },
    reloadLib() {    //医学术语命名维护-加载词库
        return axios.post(urls.reloadLib)
    },
    getDeptList(param) {    //医学术语命名维护-添加-获取科室
        return axios.post(urls.getDeptList,param)
    },
}